<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function complex




### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`arr` | number[][] | the matrix to find eigenvalues of
`N` | number | size of the matrix
`prec` | number &#124; BigNumber | precision, anything lower will be considered zero
`type` | 'number' &#124; 'BigNumber' &#124; 'Complex' | 
`findVectors` | boolean | should we find eigenvectors?

